# $Revision: 1.39 $, $Date: 2006/03/12 20:27:39 $
Summary:	Port scan detection and active defense
Summary(pl):	Program wykrywajcy skanowanie portw i umoliwiajcy obron
Name:		portsentry
Version:	1.1
Release:	11
License:	distributable (see LICENSE)
Group:		Applications/Networking
Source0:	http://www.psionic.com/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	782839446b7eca554bb1880ef0882670
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-logging-pld.patch
Patch1:		%{name}-ignore.csh.patch
Patch2:		%{name}-libwrap.patch
Patch3:		%{name}-config.patch
URL:		http://www.psionic.com/products/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun):	fileutils
Requires:	awk
Requires:	iproute2
Requires:	rc-scripts
Requires:	textutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/portsentry

%description
PortSentry is part of the Abacus Project suite of tools. The Abacus
Project is an initiative to release low-maintenance, generic, and
reliable host based intrusion detection software to the Internet
community.

%description -l pl
PortSentry jest czci zestawu narzdzi Projektu Abacus. Projekt
Abacus ma na celu stworzenie oglnego, pewnego i wymagajcego
niewielkiej obsugi oprogramowania do wykrywania prb skanowania
portw dla internetowej spoecznoci.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__make} linux \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/{rc.d/init.d,sysconfig}}

%{__make} install \
	INSTALLDIR=$RPM_BUILD_ROOT/etc

install ignore.csh $RPM_BUILD_ROOT%{_sbindir}/portsentry-ignore
install portsentry $RPM_BUILD_ROOT%{_sbindir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/portsentry
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/portsentry

touch $RPM_BUILD_ROOT%{_sysconfdir}/{portsentry.blocked.{audp,atcp,stcp,sudp,tcp,udp},portsentry.history}

# the portsentry binary
rm -f $RPM_BUILD_ROOT/etc/portsentry/portsentry

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/portsentry-ignore
/sbin/chkconfig --add portsentry
%service portsentry restart "portsentry daemon"

%preun
if [ "$1" = "0" ]; then
	%service portsentry stop
	/sbin/chkconfig --del portsentry
fi

%files
%defattr(644,root,root,755)
%doc README* CHANGES CREDITS LICENSE
%attr(750,root,root) %dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/portsentry.conf
%attr(640,root,root) %config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/portsentry.ignore
%attr(640,root,root) %ghost %{_sysconfdir}/portsentry.history
%attr(640,root,root) %ghost %{_sysconfdir}/portsentry.blocked*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/*
%attr(754,root,root) /etc/rc.d/init.d/*
%attr(755,root,root) %{_sbindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: portsentry.spec,v $
Revision 1.39  2006/03/12 20:27:39  glen
- update iptables path in config

Revision 1.38  2006/03/12 20:17:59  glen
- use %service, rel 11

Revision 1.37  2006/03/12 20:16:35  glen
- libwrap patch added
- programs moved to sbindir (needs root to run anyway)
- ignore.csh renamed not to be so generic
- /bin/csh dep is autogenerated

Revision 1.36  2005/09/01 10:47:38  darekr
- PreReq -> Requires
- BR: sed 4.0, noreplace for %config

Revision 1.35  2004/09/05 14:34:43  kolodko
- added some ghost files in %{_sysconfdir}

Revision 1.34  2004/09/01 14:11:12  kolodko
- corected path to /etc/tcp/host.adeny by %{_sed}
- rel 10

Revision 1.33  2004/08/19 10:41:16  undefine
- release 9

Revision 1.32  2003/12/01 00:36:39  undefine
- release 8 to rebuild with ac

Revision 1.31  2003/08/08 15:04:39  qboosh
- more specific Requires

Revision 1.30  2003/05/28 13:01:21  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 06:25:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2002/11/29 22:45:57  ankry
- massive attack: new %doc

Revision 1.27  2002/03/12 11:16:01  kloczek
- release 6.

Revision 1.26  2002/03/11 11:59:40  gotar
- %verify flags for config files.

Revision 1.25  2002/03/10 11:24:46  mkochano
- Release 5.
- Now really added ignore.csh patch @#$^@$@#$!
- PreReq: net-tools -> iproute2.

Revision 1.24  2002/03/08 19:39:59  mkochano
- Release 4.
- Added ignore.csh patch. Now it's more inteligent and has lesser
  requirements. NOTE: patch modifies only Linux-specific code.
- Removed PreReq: grep, sed.

Revision 1.23  2002/03/08 12:35:21  gotar
- PreReq: /bin/awk

Revision 1.22  2002/03/07 20:18:55  gotar
- fixed URL,
- complemented PreReqs listing,
- release 3.

Revision 1.21  2002/03/05 21:43:14  marcus
- now portsentry package cointains portsentry binary :)
- rel.2.

Revision 1.20  2002/03/01 23:52:22  pioklo
- updated to 1.1 and added new patch for version 1.1 , rel 1

Revision 1.19  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/18 02:14:38  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/09/25 12:17:30  qboosh
- release 7: Prereq: /sbin/chkconfig (not implied by rc-scripts)

Revision 1.16  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.14  2001/06/16 04:50:28  kloczek
- Prereq rc-scripts (not chkconfig).

Revision 1.13  2001/06/15 16:06:30  baggins
- release 6
- prereq textutils, sed, chkconfig

Revision 1.12  2001/05/19 12:41:28  mkochano
- Release 5.
- Added patch for logging events at different levels. Normal messages are
  logged as daemon.notify (as it was before) but attack warrnings are logged
  as daemon.alert. This can be changed at compile time with macros
  SYSLOG_LEVEL and SYSLOG_LEVEL_ATTACH in portsentry_config.h.

Revision 1.11  2001/05/02 21:51:26  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.10  2001/02/21 04:17:25  kloczek
- release 4,
- spec adapterized.

Revision 1.9  2000/06/09 07:23:51  kloczek
- added using %{__make} macro.

Revision 1.8  2000/06/07 04:31:54  kloczek
- spec adapterized.

Revision 1.7  2000/04/19 16:56:49  siefca
- fixed location of the history file,
- added nice level support for the service,
- removed packet logging function after route was dropped.

Revision 1.6  2000/04/18 19:42:25  kloczek
- cosmetics.

Revision 1.5  2000/04/17 23:50:38  siefca
- adapterized again,
- added pld patch (hosts.deny fix),
- added initscript,
- added sysconfig support.

Revision 1.4  2000/04/01 11:15:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:04  baggins
- translated kloczkish into english

Revision 1.2  2000/03/12 01:52:01  kloczek
- spec adapterized,
- added passing $RPM_OPT_FLAGS to compile options,
- added gzipping %doc,
- more rpm macros,
- Licence changed to "distributable (see LICENSE)".

Revision 1.1  2000/03/07 21:19:30  leafnode
- initial release as rpm
